<?php

namespace App\Tests\Entity;

use App\Entity\Contrats;
use App\Entity\EtatLieux;
use App\Entity\Prestaire;
use PHPUnit\Framework\TestCase;

class EtatLieuxTest extends TestCase
{
    public function testGettersAndSetters()
    {
        $etatLieux = new EtatLieux();
        $contrat = new Contrats();
        $prestataire = new Prestaire();

        $etatLieux->setContrat($contrat);
        $etatLieux->setPrestataire($prestataire);

        $this->assertSame($contrat, $etatLieux->getContrat());
        $this->assertSame($prestataire, $etatLieux->getPrestataire());
    }
}
